{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.home.roles.office;
in
{
  options.home.roles.office = {
    enable = mkEnableOption "Enable office applications and document processing tools";
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      # Office suite
      libreoffice
      
      # CAD/Design tools
      openscad-unstable
    ];
  };
}